Smart Proxy - Bug #15130

Puppet environment retriever set to config_file, not APl when using "environmentpath™
05/23/2016 03:25 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee:
Category: Puppet
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro
xy/pull/422
Description

On a Puppet 3.8.7 installation using directory environments (and environmentpath), the config file environment retriever is being
selected instead of the API retriever.

D, [2016-05-23T07:21:38.659910 #10700] DEBUG -- : 'puppet' settings: 'enabled': https, 'puppet_ver
sion': 3.8.7, 'use_provider': [:puppet_proxy_legacy]

D, [2016-05-23T07:21:38.660065 #10700] DEBUG -- : Providers |['puppet_proxy_legacy'] are going to b
e configured for 'puppet'

D, [2016-05-23T07:21:39.046652 #10700] DEBUG -- : 'puppet_proxy_legacy' settings: 'classes_retriev
er': cached_legacy_parser, 'environments_retriever': config_file, 'puppet_conf': /etc/puppet/puppe

t.conf, 'puppet_ssl_ca': /var/lib/puppet/ssl/certs/ca.pem, 'puppet_ssl_cert
': /var/lib/puppet/ssl/certs/foreman.example.com.pem, 'puppet_ssl_key': /var/lib/puppet/ssl/privat

e_keys/foreman.example.com.pem, 'puppet_url': https://foreman.example.com:8140, 'puppet_version':

3.8.7, 'use_cache': true, 'use_provider': [:puppet_proxy_legacy]

W, [2016-05-23T07:20:37.269494 #8521] WARN -- : No environments found - falling back to defaults

(production - /etc/puppet/modules)

I, [2016-05-23T07:20:37.270246 #8521] INFO -- : 127.0.0.1 - - [23/May/2016:07:20:37 +0000] "GET /

puppet/environments HTTP/1.1" 200 14 0.0110

W, [2016-05-23T07:20:37.370079 #8521] WARN —-- : No environments found - falling back to defaults
(production - /etc/puppet/modules)
I, [2016-05-23T07:20:37.370830 #8521] INFO -- : 127.0.0.1 - - [23/May/2016:07:20:37 +0000] "GET /

puppet/environments/production/classes HTTP/1.1" 200 2 0.0140

puppet.conf:

[main]
# Where Puppet's general dynamic and/or growing data is kept
vardir = /var/lib/puppet

# The Puppet log directory.
# The default value is 'S$vardir/log'.
logdir = /var/log/puppet

# Where Puppet PID files are kept.
# The default value is '$vardir/run'.
rundir = /var/run/puppet

# Where SSL certificates are kept.
# The default value is 'S$Sconfdir/ssl'.
ssldir = /var/lib/puppet/ssl

# Allow services in the 'puppet' group to access key (Foreman + proxy)

privatekeydir = $ssldir/private_keys { group = service }
hostprivkey = $privatekeydir/S$Scertname.pem { mode = 640 }
show_diff = false

## Server config

reports = foreman
environmentpath = /etc/puppet/environments
basemodulepath = /etc/puppet/environments/common: /etc/puppet/modules: /usr/share/puppet/mod
ules
hiera_config = S$confdir/hiera.yaml

[..]

Related issues:
Related to Smart Proxy - Feature #13667: puppet_proxy and puppetca modules lo... Closed 02/11/2016

Associated revisions

Revision 185cfbb7 - 05/23/2016 09:07 AM - Dmitri Dolguikh

Fixes #15130 - use puppet apiv2 when 'environmentpath' is present

History

#1 - 05/23/2016 03:26 AM - Dominic Cleal
- Related to Feature #13667: puppet_proxy and puppetca modules load puppet gem in puppet 4.0 and higher environments added

#2 - 05/23/2016 04:36 AM - Anonymous
- Status changed from New to Assigned

- Assignee set to Anonymous

#3 - 05/23/2016 05:29 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/smart-proxy/pull/422 added

#4 - 05/23/2016 10:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 185cfbb776aa272699895258a8d3e90a3d15dfaa.
